winstd::event_trace Class Reference
Event Tracing for Windows API

ETW trace. More...

`#include <WinStd/ETW.h>`

Inheritance diagram for winstd::event_trace:

## Public Member Functions

virtual | ~event_trace ()
| Closes the trace. More...
bool | create (PEVENT_TRACE_LOGFILE Logfile)
| Opens a real-time trace session or log file for consuming. More...
Public Member Functions inherited from winstd::handle< TRACEHANDLE, INVALID_PROCESSTRACE_HANDLE >
| handle () noexcept
| Initializes a new class instance with the object handle set to INVAL.
| handle (handle_type h) noexcept
| Initializes a new class instance with an already available object handle. More...
| handle (handle< handle_type, INVAL > &&h) noexcept
| Move constructor. More...
handle< handle_type, INVAL > & | operator= (handle_type h) noexcept
| Attaches already available object handle. More...
handle< handle_type, INVAL > & | operator= (handle< handle_type, INVAL > &&h) noexcept
| Move assignment. More...
| operator handle_type () const
| Auto-typecasting operator. More...
handle_type *& | operator* () const
| Returns the object handle value when the object handle is a pointer to a value (class, struct, etc.). More...
handle_type * | operator& ()
| Returns the object handle reference. More...
handle_type | operator-> () const
| Provides object handle member access when the object handle is a pointer to a class or struct. More...
bool | operator! () const
| Tests if the object handle is INVAL. More...
bool | operator< (handle_type h) const
| Is handle less than? More...
bool | operator<= (handle_type h) const
| Is handle less than or equal to? More...
bool | operator>= (handle_type h) const
| Is handle greater than or equal to? More...
bool | operator> (handle_type h) const
| Is handle greater than? More...
bool | operator!= (handle_type h) const
| Is handle not equal to? More...
bool | operator== (handle_type h) const
| Is handle equal to? More...
void | attach (handle_type h) noexcept
| Sets a new object handle for the class. More...
handle_type | detach ()
| Dismisses the object handle from this class. More...
void | free ()
| Destroys the object.

## Protected Member Functions

void | free_internal () noexcept override
| Closes the trace. More...
virtual void | free_internal () noexcept=0
| Abstract member function that must be implemented by child classes to do the actual object destruction. More...

## Additional Inherited Members

Public Types inherited from winstd::handle< TRACEHANDLE, INVALID_PROCESSTRACE_HANDLE >
typedef TRACEHANDLE | handle_type
| Datatype of the object handle this template class handles.
Static Public Attributes inherited from winstd::handle< TRACEHANDLE, INVALID_PROCESSTRACE_HANDLE >
static const TRACEHANDLE | invalid
| Invalid handle value.
Protected Attributes inherited from winstd::handle< TRACEHANDLE, INVALID_PROCESSTRACE_HANDLE >
handle_type | m_h
| Object handle.

## Detailed Description

ETW trace.

## Constructor & Destructor Documentation

## ~event_trace()

virtual winstd::event_trace::~event_trace | ( |  | ) |

inlinevirtual

Closes the trace.

See also
  CloseTrace function

## Member Function Documentation

## create()

bool winstd::event_trace::create | ( | PEVENT_TRACE_LOGFILE | Logfile | ) |

inline

Opens a real-time trace session or log file for consuming.

Returns
  - `ERROR_SUCCESS` when creation succeeds;
  - error code otherwise.

See also
  OpenTrace function

## free_internal()

void winstd::event_trace::free_internal | ( |  | ) |

inlineoverrideprotectedvirtualnoexcept

Closes the trace.

See also
  CloseTrace function

Implements winstd::handle< TRACEHANDLE, INVALID_PROCESSTRACE_HANDLE >.

The documentation for this class was generated from the following file:

- include/WinStd/ETW.h